package com.ssj.service.sys.teacher.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author yrf
 * @date 2019/4/9 11:37
 */
public class OnlineCorrectTeacherDTO implements Serializable {

    private static final long serialVersionUID = 7194303412145025458L;

    private String teacherId;
    private String teacherImg;
    private String teacherName;
    private String courseName;
    private String grade;
    private BigDecimal correctHomeworkPictureCount;
    private Integer correctHomeworkNum;
    private Integer correctedHomeworkNum;
    private Integer correctStudentNum;
    private Integer isOnline;
    private Date loginTime;
    private Date logoutTime;
    private Date createTime;

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    public String getTeacherImg() {
        return teacherImg;
    }

    public void setTeacherImg(String teacherImg) {
        this.teacherImg = teacherImg;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public BigDecimal getCorrectHomeworkPictureCount() {
        return correctHomeworkPictureCount;
    }

    public void setCorrectHomeworkPictureCount(BigDecimal correctHomeworkPictureCount) {
        this.correctHomeworkPictureCount = correctHomeworkPictureCount;
    }

    public Integer getCorrectHomeworkNum() {
        return correctHomeworkNum;
    }

    public void setCorrectHomeworkNum(Integer correctHomeworkNum) {
        this.correctHomeworkNum = correctHomeworkNum;
    }

    public Integer getCorrectedHomeworkNum() {
        return correctedHomeworkNum;
    }

    public void setCorrectedHomeworkNum(Integer correctedHomeworkNum) {
        this.correctedHomeworkNum = correctedHomeworkNum;
    }

    public Integer getCorrectStudentNum() {
        return correctStudentNum;
    }

    public void setCorrectStudentNum(Integer correctStudentNum) {
        this.correctStudentNum = correctStudentNum;
    }

    public Integer getIsOnline() {
        return isOnline;
    }

    public void setIsOnline(Integer isOnline) {
        this.isOnline = isOnline;
    }

    public Date getLoginTime() {
        return loginTime;
    }

    public void setLoginTime(Date loginTime) {
        this.loginTime = loginTime;
    }

    public Date getLogoutTime() {
        return logoutTime;
    }

    public void setLogoutTime(Date logoutTime) {
        this.logoutTime = logoutTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
